<script>
    var requireJS = [];
    loadJS(requireJS, 'js/common.js');
    loadCSS('css/flags/flags.min.css');
    loadJS(requireJS, 'js/views/store-item-view.js');

</script>

<div class="page-title">
    <div class="title_left">
        <h4><a href="/#admin/store/items" title="Volver al listado"><i class="fa fa-arrow-circle-o-left"></i>&nbsp;<span th:text="#{backToList}">Volver al listado</span></a></h4>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <a class="btn" id="toggle-enabled" th:classappend="${item.enabled ? 'btn-success' : 'btn-danger'}" th:attr="data-id=${item.id}">
                        <div th:if="${item.enabled}" th:text="#{enabled-}"></div>
                        <div th:if="${!item.enabled}" th:text="#{disabled-}"></div>                         
                    </a>
                    <span th:text="${item.code}"></span>
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">

                <div class="col-md-3 col-sm-12 col-xs-12 profile_left">
                    <div class="profile_img">
                        <div id="crop-avatar">
                            <img class="avatar-view" th:src="${item.image} != null ? ${item.image} : '/img/no_logo.png'" onerror="this.src='/img/no_logo.png'" width="220" height="220">
                        </div>
                    </div>



                    <ul class="list-unstyled user_data">
                        <li>
                            <i class="fa fa-map-marker user-profile-icon"></i> 
                            <!--                            <span th:text="${event.place != null ? event.place : ' No definido'}"></span>
                                                        <span th:text="${event.placeAddress}"></span>-->
                        </li>
                        <li>
                            <i class="fa fa-calendar user-profile-icon"></i> 
                            <!--                            <span th:text="${event.date != null ? event.date : ' No definido'}"></span>-->
                        </li>
                        <li class="m-top-xs">
                            <i class="fa fa-globe user-profile-icon"></i>&nbsp;
                            <i class="flag" th:each="country : ${countries}" th:if="${item.countries != null && #strings.containsIgnoreCase(item.countries,country)}" th:classappend=" 'flag-' + ${country.toLowerCase()}" th:title="#{${country}}"></i>
                        </li>
                    </ul>

                    <a th:href="'/#admin/store/item/edit/' + ${item.id}" class="btn btn-success">
                        <i class="fa fa-edit m-right-xs"></i>&nbsp;<span th:text="#{btnEdit}">Editar</span>
                    </a>
                    <br/>

                    <h4 th:text="#{statistics}">Estadisticas</h4>
                    <ul class="list-unstyled user_data">
                        <li>
                            <p th:text="#{quantitySold}">Cantidad Vendidos</p>
                            <!--                            <div class="progress progress_sm" th:title="${stats2.remainingDays}">
                                                            <div class="progress-bar bg-green" role="progressbar" th:attr="data-transitiongoal=${stats2.remaining}"></div>
                                                        </div>-->
                        </li>
                        <!--                        <li>
                                                    <p>Tickets vendidos</p>
                                                    <div class="progress progress_sm"  th:title="${stats2.sellsText}">
                                                        <div class="progress-bar bg-green" role="progressbar" th:attr="data-transitiongoal=${stats2.sells}"></div>
                                                    </div>
                                                </li>
                                                <li>
                                                    <p>Tickets Registrados</p>
                                                    <div class="progress progress_sm" th:title="${stats2.regsText}">
                                                        <div class="progress-bar bg-green" role="progressbar" th:attr="data-transitiongoal=${stats2.regs}"></div>
                                                    </div>
                                                </li>
                                                <li>
                                                    <p>Asistencias</p>
                                                    <div class="progress progress_sm" th:title="${stats2.assText}">
                                                        <div class="progress-bar bg-green" role="progressbar" th:attr="data-transitiongoal=${stats2.ass}"></div>
                                                    </div>
                                                </li>-->
                    </ul>
                </div>

                <div class="col-md-9 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h3><span th:text="${item.name}"></span></h3>                            
                            <div class="clearfix"></div>
                        </div>            
                        <div class="x_content">
                            <h6 th:text="#{description}">Descripción</h6>
                            <pre th:utext="${item.description}"></pre>
                            <br/>
                            <h6 th:text="#{price}">Precio</h6>
                            <div class="product_price">
                                <div class="row">
                                    <div th:each="country : ${countries}">
                                        <div class="col-md-2" th:with="ilocal=${item.getI18nForCountry(country)}">
                                            <i class="flag" th:classappend="'flag-' + ${country.toLowerCase()}"></i>                                            
                                            <span th:text="${T(com.wings.backoffice.utils.CountryUtils).getCurrencyForCountry(country)}"></span>
                                            <h1 class="price" th:if="${ilocal != null}" th:text="${ilocal.getLocalPrice()}"></h1>
                                        </div>
                                    </div>                                    
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <h4 th:text="#{category}">Categorias</h4>
                                    <p th:text="${item.categoryName}"></p>
                                    <p th:text="${item.subCategoryName}"></p>                                
                                </div>
                                <div class="col-md-6">
                                    <h4 th:text="#{membership}">Afiliación</h4>
                                    <span th:text="#{points}">Puntos:</span>&nbsp;<span th:text="${item.rankPoints}"></span><br/>
                                    <span th:text="#{bonus.earnings}">Comisión:</span>&nbsp;<span th:text="${item.payPoints}"></span>                                
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <h4 th:text="#{subProducts}">Sub productos</h4>
                                    <div th:each="child : ${item.children}">
                                        <span th:text="${child.child}"></span>
                                        <span th:text="${child.quantity}"></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <h4 th:text="#{availability}">Disponibilidad</h4>
                                    <i class="flag" th:each="country : ${countries}" th:if="${item.countries != null && #strings.containsIgnoreCase(item.countries,country)}" th:classappend=" 'flag-' + ${country.toLowerCase()}" th:title="#{${country}}"></i>
                                </div>
                            </div>


                            <!--<div class="">
                                <h2>Available Colors</h2>
                                <ul class="list-inline prod_color">
                                    <li>
                                        <p>Green</p>
                                        <div class="color bg-green"></div>
                                    </li>
                                    <li>
                                        <p>Blue</p>
                                        <div class="color bg-blue"></div>
                                    </li>
                                    <li>
                                        <p>Red</p>
                                        <div class="color bg-red"></div>
                                    </li>
                                    <li>
                                        <p>Orange</p>
                                        <div class="color bg-orange"></div>
                                    </li>
                                </ul>
                            </div>
                            <br>
                            <div class="">
                                <h2>Size <small>Please select one</small></h2>
                                <ul class="list-inline prod_size">
                                    <li>
                                        <button type="button" class="btn btn-default btn-xs">Small</button>
                                    </li>
                                    <li>
                                        <button type="button" class="btn btn-default btn-xs">Medium</button>
                                    </li>
                                    <li>
                                        <button type="button" class="btn btn-default btn-xs">Large</button>
                                    </li>
                                    <li>
                                        <button type="button" class="btn btn-default btn-xs">Xtra-Large</button>
                                    </li>
                                </ul>
                            </div>
                            <br>-->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>







